commit f3c81b3acf4b96dfaf1f78b5c7ddc6fe2f5ff113
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Oct 14 02:18:17 2021

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 12249a97356..8227ac807e0 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,22 @@
+2021-10-13  Iain Sandoe  <iain@sandoe.co.uk>
+
+	Backported from master:
+	2021-08-17  Iain Sandoe  <iain@sandoe.co.uk>
+
+	PR target/100340
+	* config.in: Regenerate.
+	* config/i386/darwin.h (EXTRA_ASM_OPTS): New
+	(ASM_SPEC): Pass options to disable branch shortening where
+	needed.
+	* configure: Regenerate.
+	* configure.ac: Detect versions of 'as' that support the
+	optimisation which has the bug.
+
+2021-10-13  John David Anglin  <danglin@gcc.gnu.org>
+
+	* config/pa/pa.md (muldi3): Add support for inlining 64-bit
+	multiplication on 32-bit PA 1.1 and 2.0 targets.
+
 2021-10-12  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR target/102588
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index b902c81518e..4f146eef94c 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20211013
+20211014
diff --git a/gcc/d/ChangeLog b/gcc/d/ChangeLog
index 46552af50cb..d535d370f5f 100644
--- a/gcc/d/ChangeLog
+++ b/gcc/d/ChangeLog
@@ -1,3 +1,12 @@
+2021-10-13  Iain Sandoe  <iain@sandoe.co.uk>
+
+	Backported from master:
+	2021-10-05  Iain Sandoe  <iain@sandoe.co.uk>
+
+	* d-spec.cc (lang_specific_driver): Push the -static-libstdc++
+	option back onto the command line for targets without support
+	for -Bstatic/dynamic.
+
 2021-10-04  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index de93fe9e795..e495becb449 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,58 @@
+2021-10-13  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-10-13  Jonathan Wakely  <jwakely@redhat.com>
+
+	* testsuite/27_io/filesystem/path/construct/102592.C: Moved to...
+	* testsuite/27_io/filesystem/path/construct/102592.cc: ...here.
+	* testsuite/28_regex/match_results/102667.C: Moved to...
+	* testsuite/28_regex/match_results/102667.cc: ...here.
+
+2021-10-13  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-10-13  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/102592
+	* include/bits/fs_path.h (path::path(Iter, Iter, format))
+	(path::append(Iter, Iter), path::concat(Iter, Iter)): Call
+	__string_from_range directly, instead of two-argument overload
+	of _S_convert.
+	(path::_S_convert(Iter, Iter)): Remove.
+	* testsuite/27_io/filesystem/path/construct/102592.C: New test.
+
+2021-10-13  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-07-14  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/std/string_view (basic_string_view(It, End)): Add
+	noexcept-specifier.
+	* testsuite/21_strings/basic_string_view/cons/char/range.cc:
+	Check noexcept-specifier. Also check construction without CTAD.
+
+2021-10-13  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2021-04-28  Patrick Palka  <ppalka@redhat.com>
+
+	PR libstdc++/100187
+	PR libstdc++/100237
+	PR libstdc++/100249
+	PR libstdc++/100287
+	* include/bits/ranges_algo.h (__search_n_fn::operator()): Give
+	the __value_comp lambda an explicit bool return type.
+	(__is_permutation_fn::operator()): Give the __proj_scan local
+	variable auto&& return type.  Give the __comp_scan lambda an
+	explicit bool return type.
+	(__remove_fn::operator()): Give the __pred lambda an explicit
+	bool return type.
+	(__partition_fn::operator()): Don't std::move __first twice
+	when returning an empty subrange.
+	(__min_fn::operator()): Don't std::move __comp.
+	(__max_fn::operator()): Likewise.
+	(__minmax_fn::operator()): Likewise.
+
 2021-10-12  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

